# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "rflow/components/amqp/version"

Gem::Specification.new do |s|
  s.name        = "rflow-components-amqp"
  s.version     = RFlow::Components::AMQP::VERSION
  s.platform    = Gem::Platform::RUBY
  s.required_ruby_version = '>= 1.9'
  s.authors     = ["Michael L. Artz"]
  s.email       = ["michael.artz@redjack.com"]
  s.homepage    = "https://github.com/redjack/rflow-components-amqp"
  s.license     = "Apache-2.0"
  s.summary     = %q{AMQP publisher and subscriber component for the RFlow FBP framework}
  s.description = %q{AMQP publisher and subscriber component for the RFlow FBP framework.  Also includes the necessary AMQP::Message message type}

  s.rubyforge_project = "rflow-components-amqp"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_dependency 'rflow', '~> 1.1', '>= 1.1.1'
  s.add_dependency 'amqp', '>= 0.8.0'
  s.add_dependency 'amq-protocol'

  s.add_development_dependency 'rspec', '~> 3.0'
  s.add_development_dependency 'rspec-collection_matchers', '~> 1.0'
  s.add_development_dependency 'rake', '>= 10.3'
  s.add_development_dependency 'yard', '~> 0.9'
end
